Browse endpoints

Adverse Media Check

POST /api/v2/adverse_media_check operationId: adverse_media_check

Live: https://gdapi.globaldata.net.au/api/v2/adverse_media_check · Sandbox: https://sandbox-gdapi.globaldata.net.au/api/v2/adverse_media_check

Experimental

The Adverse Media API is still in the experimental stage and is subject to change as we continue to refine the API.

The adverse_media_check method will perform a search for adverse media for a person or business entity.

The check will return a summary of the information found as well as a set of links and categories that the subject is involved in.

The categories are:

Category Description
financial_crime Fraud, bribery, money laundering, or embezzlement.
violent_crime Assault, murder, armed robbery, or other violent acts.
organised_crime Gang activity, drug trafficking, human trafficking, or cartels.
drug_offences Drug trafficking, possession, or other drug-related offences.
sexual_offences Sexual assault, exploitation, or possession of illegal material.
regulatory_action Disqualifications, fines, bans, or other legal enforcement by regulators.
terrorism Extremist activity, terrorism-related charges, or national security threats.
scams_and_fraud Ponzi schemes, pyramid schemes, or public scam warnings.
environmental_violations Pollution, environmental damage, or EPA-related prosecutions.
employment_violations Workplace safety breaches, wage theft, or industrial violations.
corruption_and_abuse_of_office Political or corporate corruption, including bribery, nepotism, or misuse of power or funds.

Sandbox environment

When simulating queries in the sandbox environment, the adverse media check response will return a match for the following details:

People

First Name Middle Name Last Name Birth Date Country
John James Doe 1990-01-01 AU
Jane Karen Smith 1995-02-18 AU
Liam Raphael O'Connor 1980-02-01 AU
Olivia Rose Smith 1973-06-06 UK

Businesses

Business Name Country
Acme Systems AU
Sample Software Services NZ

Request body

Content type application/json. The details of the person or business entity to check

FieldDescription
type string

The type of entity to check

Enum: person, business

Example: person

first_name string

The first name of the individual (Required for person checks)

Example: John

middle_name string or null

The middle name of the individual (Nullable for person checks)

Example: James

last_name string

The last name of the individual (Required for person checks)

Example: Doe

birth_date string (date) or null

The date of birth of the individual Format: YYYY-MM-DD (Nullable for business checks) The date of birth is used to filter results if provided and if the adverse media has an age or age range.

Example: 1990-01-01

business_name string

The name of the business entity (Required for business checks)

Example: Acme Pty Ltd

country string or null

The ISO 3166 country code of the person or business entity (optional). When provided, the country is used as a hint to prefer results from that country. It can be omitted.

Example: AU

Responses

200

Adverse media check result.

application/json
FieldDescription
message string

Always Ok on success.

Example: Ok

function string

The API function that handled the request.

Example: adverse_media

api_reference string (uuid)

Audit reference for this adverse media check request.

Example: 16af1201-c34c-4525-9ae5-9d43e2ca469f

match object

The result of the adverse media check

match.name string

The name of the person or business entity

Example: John Doe

match.age number or null

The age of the person (null for business entities or where unavailable)

match.location string or null

The location of the entity if available

Example: Sydney, NSW, Australia

match.summary string

A summary of the adverse media found

Example: John Doe was charged with fraud.

match.links array of strings

A list of links to the news articles used to create the summary

match.categories array of strings

A list of categories that the entity is involved in

Standard error responses: 400 401 402 403 429 503 5XX See common error responses